classification
Title: some missing links in html help index pane
Type: Stage:
Components: Documentation tools (Sphinx) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, ocean-city
Priority: normal Keywords: patch

Created on 2008-11-03 01:44 by ocean-city, last changed 2008-11-22 14:28 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
index_on_firefox.png ocean-city, 2008-11-03 01:44
index_on_htmlhelp.png ocean-city, 2008-11-03 01:44
sphinx_inactive_index_item.patch ocean-city, 2008-11-03 01:53 depricated
sphinx_multiple_targets.patch ocean-city, 2008-11-17 06:28 depricated
resolved.png ocean-city, 2008-11-17 06:32
binary_index.png ocean-city, 2008-11-17 11:42
sphinx_index.patch ocean-city, 2008-11-17 11:42
Messages (6)
msg75459 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-11-03 01:44
Please see index_on_firefox.png and index_on_htmlhelp.png. "and" is
inactive item not linking to any page, but this item is not shown in
htmlhelp.
msg75460 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-11-03 01:53
I hope this can be fixed by attached patch. I learned this technique to
create inactive link from HTML Help Workshop document.

http://msdn.microsoft.com/en-us/library/ms669985.aspx
http://go.microsoft.com/fwlink/?linkid=14581 # direct link to HelpDocs.zip

And please enter keyword "index files, creating inactive links".
msg75951 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-11-17 06:28
This describes second bug.

When multiple target was bound to same keyword, only first target could
be browsed.

In index_on_firefox.png, we can see "operator, [1], [2]". This [?] means
multiple targets are linked to same keyword and we can browse each
target in firefox. But from htmlhelp, we can only browse first target.

Attached patch "sphinx_multiple_targets.patch" will enable us to select
each targets in popup dialog. (They all have same title, I think it's
useless though)

Please apply this patch after applied sphinx_inactive_index_item.patch.
msg75954 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-11-17 09:08
Sorry, I found another problem on html help about case sensitivity.
Pleas e pend my patch...
msg75956 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-11-17 11:42
Even if two bugs are solved, one weird problem remains. See
binary_index.png. "unicode, built-in function" should go under "unicode"
node, but it goes under "Unicode" node. This happens because  sitemap
format (hhk file) is *case insensitive*, and if binary index is turned
on, indexes are sorted and *merged* automatically.

I hope attached sphinx_index.patch will fix this problem. You don't have
to apply previous two patches. It should be applied to tip cleanly.

# Turning off binary index causes some change to look&feel of index
pane. For example, if you click inactive item, nothing happens instead
of alert dialog.
msg76249 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-11-22 14:28
Okay, I applied your latest patch as changeset 970452b02e2e. Thanks!
History
Date User Action Args
2008-11-22 14:28:55georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg76249
2008-11-17 11:42:45ocean-citysetfiles: + sphinx_index.patch
2008-11-17 11:42:21ocean-citysetfiles: + binary_index.png
messages: + msg75956
2008-11-17 09:08:20ocean-citysetmessages: + msg75954
2008-11-17 06:32:07ocean-citysetfiles: + resolved.png
2008-11-17 06:28:09ocean-citysetfiles: + sphinx_multiple_targets.patch
messages: + msg75951
title: inactive item not shown in html help index pane -> some missing links in html help index pane
2008-11-03 01:53:01ocean-citysetfiles: + sphinx_inactive_index_item.patch
keywords: + patch
messages: + msg75460
2008-11-03 01:44:41ocean-citysetfiles: + index_on_htmlhelp.png
2008-11-03 01:44:26ocean-citycreate